## org.gnu.gdk
Class ModifierType

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gdk.ModifierType

public class ModifierType
extends org.gnu.glib.Flags

Field Summary
`static ModifierType` `BUTTON1_MASK`
`static ModifierType` `BUTTON2_MASK`
`static ModifierType` `BUTTON3_MASK`
`static ModifierType` `BUTTON4_MASK`
`static ModifierType` `BUTTON5_MASK`
`static ModifierType` `CONTROL_MASK`
`static ModifierType` `LOCK_MASK`
`static ModifierType` `MOD1_MASK`
`static ModifierType` `MOD2_MASK`
`static ModifierType` `MOD3_MASK`
`static ModifierType` `MOD4_MASK`
`static ModifierType` `MOD5_MASK`
`static ModifierType` `RELEASE_MASK`
`static ModifierType` `SHIFT_MASK`

Method Summary
`ModifierType` `and(ModifierType other)`
`static ModifierType` `intern(int value)`
`ModifierType` `or(ModifierType other)`
`boolean` `test(ModifierType other)`
`ModifierType` `xor(ModifierType other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHIFT_MASK

    public static final ModifierType SHIFT_MASK

### LOCK_MASK

    public static final ModifierType LOCK_MASK

### CONTROL_MASK

    public static final ModifierType CONTROL_MASK

### MOD1_MASK

    public static final ModifierType MOD1_MASK

### MOD2_MASK

    public static final ModifierType MOD2_MASK

### MOD3_MASK

    public static final ModifierType MOD3_MASK

### MOD4_MASK

    public static final ModifierType MOD4_MASK

### MOD5_MASK

    public static final ModifierType MOD5_MASK

### BUTTON1_MASK

    public static final ModifierType BUTTON1_MASK

### BUTTON2_MASK

    public static final ModifierType BUTTON2_MASK

### BUTTON3_MASK

    public static final ModifierType BUTTON3_MASK

### BUTTON4_MASK

    public static final ModifierType BUTTON4_MASK

### BUTTON5_MASK

    public static final ModifierType BUTTON5_MASK

### RELEASE_MASK

    public static final ModifierType RELEASE_MASK

Method Detail

### intern

    public static ModifierType intern(int value)

### or

    public ModifierType or(ModifierType other)

### and

    public ModifierType and(ModifierType other)

### xor

    public ModifierType xor(ModifierType other)

### test

    public boolean test(ModifierType other)